dppsu: xdppsu_intr.c File Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_intr.c File Reference

## Overview

This file contains functions related to XDpPsu interrupt handling.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  01/17/17 Initial release.

## Functions
void | XDpPsu_SetHpdEventHandler (XDpPsu *InstancePtr, XDpPsu_HpdEventHandler CallbackFunc, void *CallbackRef)
| This function installs a callback function for when a hot-plug-detect event interrupt occurs. More...
void | XDpPsu_SetHpdPulseHandler (XDpPsu *InstancePtr, XDpPsu_HpdPulseHandler CallbackFunc, void *CallbackRef)
| This function installs a callback function for when a hot-plug-detect pulse interrupt occurs. More...
void | XDpPsu_HpdInterruptHandler (XDpPsu *InstancePtr)
| This function is the interrupt handler for the XDpPsu driver. More...

## Function Documentation

void XDpPsu_HpdInterruptHandler | ( | XDpPsu * | InstancePtr | ) |

This function is the interrupt handler for the XDpPsu driver.

When an interrupt happens, it first detects what kind of interrupt happened, then decides which callback function to invoke.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.

Returns
  None.

Note
  None.

References XDpPsu_Config::BaseAddr, XDpPsu::Config, XDpPsu::HpdEventCallbackRef, XDpPsu::HpdEventHandler, XDpPsu::HpdPulseCallbackRef, XDpPsu::HpdPulseHandler, XDPPSU_HPD_DURATION, XDPPSU_INTR_HPD_EVENT_MASK, XDPPSU_INTR_HPD_PULSE_DETECTED_MASK, XDPPSU_INTR_STATUS, XDpPsu_IsConnected(), XDpPsu_ReadReg, and XDpPsu_WriteReg.

void XDpPsu_SetHpdEventHandler | ( | XDpPsu * | InstancePtr,
|  | XDpPsu_HpdEventHandler | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs a callback function for when a hot-plug-detect event interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  CallbackFunc | is the address to the callback function.
  CallbackRef | is the user data item that will be passed to the callback function when it is invoked.

Returns
  None.

Note
  None.

References XDpPsu::HpdEventCallbackRef, and XDpPsu::HpdEventHandler.

void XDpPsu_SetHpdPulseHandler | ( | XDpPsu * | InstancePtr,
|  | XDpPsu_HpdPulseHandler | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs a callback function for when a hot-plug-detect pulse interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  CallbackFunc | is the address to the callback function.
  CallbackRef | is the user data item that will be passed to the callback function when it is invoked.

Returns
  None.

Note
  None.

References XDpPsu::HpdPulseCallbackRef, and XDpPsu::HpdPulseHandler.